{
  "name" : "Progress Bar",
  "configKey" : "progress-bar",
  "page" : 0,
  "components" : [ {
    "label" : "HTML",
    "labelPosition" : "left-left",
    "className" : "",
    "attrs" : [ {
      "attr" : "",
      "value" : ""
    } ],
    "content" : "<div class=\"progress\">\n  <div\n    class=\"progress-bar progress-bar-striped progress-bar-animated\"\n    role=\"progressbar\"\n    aria-valuenow=\"{{ data.progress_current }}\"\n    aria-valuemin=\"0\"\n    aria-valuemax=\"{{ data.progress_max }}\"\n    style=\"width: {{ data.progress_current / data.progress_max * 100 }}%\">\n  </div>\n</div>",
    "refreshOnChange" : true,
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "htmlelement",
    "input" : false,
    "key" : "html",
    "validate" : {
      "customMessage" : "",
      "json" : ""
    },
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "tabs" : null,
    "encrypted" : false,
    "properties" : { },
    "tags" : null,
    "customConditional" : "",
    "logic" : [ ],
    "refreshOn" : "data",
    "reorder" : false
  }, {
    "label" : "progress_current",
    "labelPosition" : "left-left",
    "hidden" : true,
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "number",
    "input" : true,
    "key" : "progress_current",
    "validate" : {
      "customMessage" : "",
      "json" : ""
    },
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "tabs" : null,
    "delimiter" : false,
    "requireDecimal" : false,
    "encrypted" : false,
    "properties" : { },
    "tags" : [ ],
    "decimalLimit" : null,
    "customConditional" : "",
    "logic" : [ ],
    "reorder" : false
  }, {
    "label" : "progress_max",
    "labelPosition" : "left-left",
    "hidden" : true,
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "number",
    "input" : true,
    "key" : "progress_max",
    "validate" : {
      "customMessage" : "",
      "json" : ""
    },
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "tabs" : null,
    "delimiter" : false,
    "requireDecimal" : false,
    "encrypted" : false,
    "decimalLimit" : null,
    "properties" : { },
    "tags" : [ ],
    "customConditional" : "",
    "logic" : [ ],
    "reorder" : false
  } ],
  "display" : "form"
}